Changeset 1877


Ignore:
Timestamp:
08/15/07 12:18:42 (7 years ago)
Author:
alanbach-guest
Message:

poppler updates, Sync'd with Debian

Location:
pkg/main/poppler/trunk/debian
Files:
14 added
9 deleted
6 edited

Legend:

Unmodified
Added
Removed
  • pkg/main/poppler/trunk/debian/changelog

    r1634 r1877  
    1 poppler (0.5.4-parsix2) barry; urgency=low 
    2  
    3   * Biarch build 
    4  
    5  -- Alan Baghumian <alan@technotux.org>  Mon, 02 Jul 2007 07:34:15 +0330 
    6  
    7 poppler (0.5.4-parsix1) barry; urgency=low 
    8  
    9   * Parsix build 
    10   * 0v 0.5.4-parsix2 
    11  
    12  -- Alan Baghumian <alan@technotux.org>  Mon, 02 Jul 2007 07:34:11 +0330 
     1poppler (0.5.4-parsix3) barry; urgency=low 
     2 
     3  * Sync'd with Debian 
     4 
     5 -- Alan Baghumian <alan@technotux.org>  Wed, 15 Aug 2007 13:47:31 +0330 
     6 
     7poppler (0.5.4-6.1) unstable; urgency=high 
     8 
     9  * Non-maintainer upload 
     10  * Include upstream patch to fix integer overflow in the 
     11    StreamPredictor::StreamPredictor function 
     12    (Closes: #435460) Fixes: CVE-2007-3387 
     13 
     14 -- Steffen Joeris <white@debian.org>  Sun, 05 Aug 2007 11:08:24 +0000 
     15 
     16poppler (0.5.4-6) unstable; urgency=low 
     17 
     18  * Conflict with old library names from experimental.  (Closes: #426023) 
     19 
     20 -- Ondřej SurÃœ <ondrej@debian.org>  Wed, 30 May 2007 08:42:32 +0200 
     21 
     22poppler (0.5.4-5) unstable; urgency=low 
     23 
     24  * Add missing poppler/poppler-link-qt3.h header to libpoppler-qt-dev; thanks 
     25    Sune Vuorela; closes: #425486. 
     26  * Let libpoppler-qt4-dev depend on libpoppler-qt-dev since some of its 
     27    headers require poppler-page-transition.h which is clearly from the Qt 
     28    bindings; thanks Sune Vuorela; closes: #425540. 
     29  * Wrap build-deps and deps. 
     30  * Drop useless debian/*.dirs. 
     31  * Misc cleanups. 
     32  * Build-dep on autotools-dev and drop bogus lintian overrides. 
     33 
     34 -- Loic Minier <lool@dooz.org>  Thu, 24 May 2007 23:09:23 +0200 
     35 
     36poppler (0.5.4-4) unstable; urgency=low 
     37 
     38  * The "Augean Stables" release. 
     39  * 0.5.x branch fixes all kind of displaying errors 
     40    Closes: #372169, #235360, #331380, #332426, #336616 
     41    Closes: #402647, #369164, #413953, #343654 
     42  * Add versioned conflict to pdftohtml (Closes: #393169) 
     43  * We dropped .la files some time ago, libjpeg62-dev dependency not 
     44    needed now (Closes: #413112) 
     45  * Crash fixed in 0.5.4 (Closes: #418638) 
     46  * [control.in]: dropped some time ago (Closes: #407818) 
     47  * NMU 0.5.4-5.1 merged as 004_CVE-2007-0104.patch (Closes: #407810) 
     48  * 0.5.x uploaded to unstable (Closes: #352522) 
     49  * qt4 libraries are now part of build (Closes: #414643) 
     50  * No longer depends on poppler-data (Closes: #389753) 
     51  * [debian/patches/006_pthreads_ldflags.patch]: 
     52    + Add -lpthread to poppler/Makefile.am (Closes: #399275) 
     53 
     54 -- Ondřej SurÃœ <ondrej@debian.org>  Wed, 16 May 2007 10:45:39 +0200 
     55 
     56poppler (0.5.4-3) unstable; urgency=low 
     57 
     58  * Upload to unstable. 
     59  * Enable Cairo output again. 
     60  * Enable gtk-doc build. 
     61  * Add lintian override for outdated-autotools-helper-files (we use CDBS). 
     62  * Change shared library packages names according to Library Packaging Guide. 
     63  * Change ${Source-Version} to ${binary:Version} to allow binNMU 
     64  * Drop (= ${Source-Version}) dependency in glib, qt3, qt4 libraries; we are 
     65    adding that from debian/rules 
     66  * Merge changes from Ubuntu: 
     67    + Enable Qt4 library build (but change name to libpoppler-qt4-1). 
     68    + [debian/patches/004_CVE-2007-0104.patch]: 
     69      - Limit recursion depth of the parsing tree to 100 to avoid infinite loop 
     70        with crafted documents. 
     71      - Patch taken from koffice security update (which has a copy of xpdf 
     72        sources). 
     73    + [debian/patches/005_fix_inverted_text_from_bug_8944.patch]: 
     74      - fixes "text is inverted in some PDFs" 
     75 
     76 -- Ondřej SurÃœ <ondrej@debian.org>  Wed, 16 May 2007 08:26:47 +0200 
    1377 
    1478poppler (0.5.4-2) experimental; urgency=low 
  • pkg/main/poppler/trunk/debian/compat

    r821 r1877  
    1 4 
     15 
  • pkg/main/poppler/trunk/debian/control

    r821 r1877  
    33Priority: optional 
    44Maintainer: Ondřej SurÃœ <ondrej@debian.org> 
    5 Uploaders: Josselin Mouette <joss@debian.org>, Dave Beckett <dajobe@debian.org>, Loic Minier <lool@dooz.org>, Ross Burton <ross@debian.org> 
    6 Build-Depends: cdbs, debhelper, gnome-pkg-tools, libglib2.0-dev (>= 2.6), libgtk2.0-dev, libqt3-mt-dev (>= 3:3.3.4-4) 
    7 Standards-Version: 3.6.1.1 
     5Uploaders: Josselin Mouette <joss@debian.org>, 
     6           Dave Beckett <dajobe@debian.org>, 
     7           Loic Minier <lool@dooz.org>, 
     8           Ross Burton <ross@debian.org> 
     9Build-Depends: cdbs, 
     10               debhelper (>= 5), 
     11               autotools-dev, 
     12               gnome-pkg-tools, 
     13               libglib2.0-dev (>= 2.6), 
     14               libgtk2.0-dev (>= 2.4.0), 
     15               libfontconfig1-dev, 
     16               libqt3-mt-dev (>= 3:3.3.4-4), 
     17               libqt4-dev, 
     18               libglade2-dev, 
     19               libcairo2-dev, 
     20               gtk-doc-tools (>= 1.0) 
     21Standards-Version: 3.7.2.2 
    822 
    923Package: libpoppler1 
    1024Architecture: any 
    1125Section: libs 
    12 Depends: ${shlibs:Depends}, ${misc:Depends} 
     26Depends: ${shlibs:Depends}, 
     27         ${misc:Depends} 
    1328Description: PDF rendering library 
    1429 Poppler is a PDF rendering library based on xpdf PDF viewer. 
     
    1934Architecture: any 
    2035Section: libdevel 
    21 Depends: libpoppler1 (= ${Source-Version}), libfontconfig1-dev 
     36Depends: libpoppler1 (= ${binary:Version}), 
     37         libfontconfig1-dev 
    2238Description: PDF rendering library -- development files 
    2339 Poppler is a PDF rendering library based on xpdf PDF viewer. 
     
    2642 build applications using Poppler. 
    2743 
    28 Package: libpoppler1-glib 
     44Package: libpoppler-glib1 
    2945Architecture: any 
    3046Section: libs 
    31 Depends: ${shlibs:Depends}, libpoppler1 (= ${Source-Version}), ${misc:Depends} 
     47Conflicts: libpoppler1-glib 
     48Depends: ${shlibs:Depends}, 
     49         ${misc:Depends} 
    3250Description: PDF rendering library (GLib-based shared library) 
    3351 Poppler is a PDF rendering library based on xpdf PDF viewer. 
     
    3957Architecture: any 
    4058Section: libdevel 
    41 Depends: libpoppler1-glib (= ${Source-Version}), libpoppler-dev (= ${Source-Version}), libglib2.0-dev 
     59Depends: libpoppler-glib1 (= ${binary:Version}), 
     60         libpoppler-dev (= ${binary:Version}), 
     61         libglib2.0-dev, 
     62         libpango1.0-dev, 
     63         libcairo2-dev 
    4264Description: PDF rendering library -- development files (GLib interface) 
    4365 Poppler is a PDF rendering library based on xpdf PDF viewer. 
     
    4567 This package provides a GLib-style interface to Poppler. 
    4668 
    47 Package: libpoppler1-qt 
     69Package: libpoppler-qt1 
    4870Architecture: any 
    4971Section: libs 
    50 Depends: ${shlibs:Depends}, libpoppler1 (= ${Source-Version}), ${misc:Depends} 
    51 Description: PDF rendering library (Qt-based shared library) 
     72Conflicts: libpoppler1-qt 
     73Depends: ${shlibs:Depends}, 
     74         ${misc:Depends} 
     75Description: PDF rendering library (Qt 3 based shared library) 
    5276 Poppler is a PDF rendering library based on xpdf PDF viewer. 
    5377 . 
    54  This package provides the Qt-based shared library for applications 
    55  using the Qt interface to Poppler. 
     78 This package provides the Qt 3 based shared library for applications 
     79 using the Qt 3 interface to Poppler. 
    5680 
    5781Package: libpoppler-qt-dev 
    5882Architecture: any 
    5983Section: libdevel 
    60 Depends: libpoppler1-qt (= ${Source-Version}), libpoppler-dev (=${Source-Version}), libqt3-mt-dev 
    61 Description: PDF rendering library -- development files (Qt interface) 
     84Depends: libpoppler-qt1 (= ${binary:Version}), 
     85         libpoppler-dev (= ${binary:Version}), 
     86         libqt3-mt-dev 
     87Description: PDF rendering library -- development files (Qt 3 interface) 
    6288 Poppler is a PDF rendering library based on xpdf PDF viewer. 
    6389 . 
    64  This package provides a Qt-style interface to Poppler. 
     90 This package provides a Qt 3 style interface to Poppler. 
     91 
     92Package: libpoppler-qt4-1 
     93Architecture: any 
     94Section: libs 
     95Depends: ${shlibs:Depends}, 
     96         ${misc:Depends} 
     97Description: PDF rendering library (Qt 4 based shared library) 
     98 Poppler is a PDF rendering library based on xpdf PDF viewer. 
     99 . 
     100 This package provides the Qt 4 based shared library for applications 
     101 using the Qt 4 interface to Poppler. 
     102 
     103Package: libpoppler-qt4-dev 
     104Architecture: any 
     105Section: libdevel 
     106Depends: libpoppler-qt4-1 (= ${binary:Version}), 
     107         libpoppler-dev (=${binary:Version}), 
     108         libqt4-dev, 
     109         libpoppler-qt-dev 
     110Description: PDF rendering library -- development files (Qt 4 interface) 
     111 Poppler is a PDF rendering library based on xpdf PDF viewer. 
     112 . 
     113 This package provides a Qt 4 style interface to Poppler. 
    65114 
    66115Package: poppler-utils 
     
    68117Section: utils 
    69118Depends: ${shlibs:Depends} 
    70 Conflicts: xpdf-utils, pdftohtml 
    71 Replaces: xpdf-utils, pdftohtml, xpdf-reader 
    72 Provides: xpdf-utils, pdftohtml 
     119Conflicts: xpdf-utils, 
     120           pdftohtml (<< 0.36-14) 
     121Replaces: xpdf-utils, 
     122          pdftohtml, 
     123          xpdf-reader 
     124Provides: xpdf-utils, 
     125          pdftohtml 
    73126Description: PDF utilitites (based on libpoppler) 
    74127 This package contains pdftops (PDF to PostScript converter), 
  • pkg/main/poppler/trunk/debian/copyright

    r821 r1877  
    2121   GNU General Public License for more details. 
    2222 
    23    You should have received a copy of the GNU General Public License 
    24    along with this program; if not, write to the Free Software Foundation, 
    25    Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
     23   You should have received a copy of the GNU General Public License along 
     24   with this program; if not, write to the Free Software Foundation, Inc., 
     25   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. 
    2626 
    2727On Debian systems, the complete text of the GNU General 
  • pkg/main/poppler/trunk/debian/rules

    r821 r1877  
    88 
    99# a trick to fix xpdfrc location without modifying autotools stuff 
    10 DEB_CONFIGURE_SYSCONFDIR = /etc/xpdf 
     10DEB_CONFIGURE_SYSCONFDIR := /etc/xpdf 
    1111 
    1212# disable gtk stuff to minimize Build-Depends 
    13 DEB_CONFIGURE_EXTRA_FLAGS =                     \ 
     13DEB_CONFIGURE_EXTRA_FLAGS :=                    \ 
    1414        --enable-libjpeg                        \ 
    1515        --enable-splash-output                  \ 
    16         --disable-cairo-output                  \ 
     16        --enable-cairo-output                   \ 
    1717        --enable-poppler-glib                   \ 
    1818        --enable-poppler-qt                     \ 
     19        --enable-poppler-qt4                    \ 
    1920        --enable-a4-paper                       \ 
     21        --enable-gtk-doc                        \ 
    2022        --disable-gtk-test 
    2123 
    22 SHLIB_VERSION=0.5.1 
    23 DEB_DH_MAKESHLIBS_ARGS_libpoppler1 := -V"libpoppler1 (>= $(SHLIB_VERSION))" 
    24 DEB_DH_MAKESHLIBS_ARGS_libpoppler1-glib := -V"libpoppler1-glib (>= $(SHLIB_VERSION))" 
    25 DEB_DH_MAKESHLIBS_ARGS_libpoppler1-qt := -V"libpoppler1-qt (>= $(SHLIB_VERSION))" 
    26  
    27 binary-post-install/libpoppler1:: 
    28         find debian/tmp/usr/lib -name \*.la -exec rm {} \; 
     24SHLIB_VERSION := 0.5.1 
     25DEB_DH_MAKESHLIBS_ARGS_libpoppler1 += -V"libpoppler1 (>= $(SHLIB_VERSION))" 
     26DEB_DH_MAKESHLIBS_ARGS_libpoppler-glib1 += -V"libpoppler-glib1 (>= $(SHLIB_VERSION))" 
     27DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt1 += -V"libpoppler-qt1 (>= $(SHLIB_VERSION))" 
     28DEB_DH_MAKESHLIBS_ARGS_libpoppler-qt4-1 += -V"libpoppler-qt4-1 (>= $(SHLIB_VERSION))" 
  • pkg/main/poppler/trunk/debian/watch

    r1821 r1877  
    11version=2 
    2 http://poppler.freedesktop.org/ poppler-([\d\.]+)\.tar\.gz debian uupdate 
     2http://poppler.freedesktop.org/ poppler-(.*)\.tar\.gz debian uupdate 
Note: See TracChangeset for help on using the changeset viewer.